javax.print.attribute.standard

## Class PrinterResolution

- java.lang.Object
- - javax.print.attribute.ResolutionSyntax
  - - javax.print.attribute.standard.PrinterResolution

All Implemented Interfaces:
  Serializable, Cloneable, Attribute, DocAttribute, PrintJobAttribute, PrintRequestAttribute

    public final class PrinterResolution
    extends ResolutionSyntax
    implements DocAttribute, PrintRequestAttribute, PrintJobAttribute

Class PrinterResolution is a printing attribute class that specifies an exact resolution supported by a printer or to be used for a print job. This attribute assumes that printers have a small set of device resolutions at which they can operate rather than a continuum.

PrinterResolution is used in multiple ways:

1. When a client searches looking for a printer that supports the client's desired resolution exactly (no more, no less), the client specifies an instance of class PrinterResolution indicating the exact resolution the client wants. Only printers supporting that exact resolution will match the search.

2. When a client needs to print a job using the client's desired resolution exactly (no more, no less), the client specifies an instance of class PrinterResolution as an attribute of the Print Job. This will fail if the Print Job doesn't support that exact resolution, and Fidelity is set to true.

If a client wants to locate a printer supporting a resolution greater than some required minimum, then it may be necessary to exclude this attribute from a lookup request and to directly query the set of supported resolutions, and specify the one that most closely meets the client's requirements. In some cases this may be more simply achieved by specifying a PrintQuality attribute which often controls resolution.

IPP Compatibility: The information needed to construct an IPP `"printer-resolution"` attribute can be obtained by calling methods on the PrinterResolution object. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.print.attribute.ResolutionSyntax

`DPCM, DPI`

### Constructor Summary

Constructors
Constructor and Description
`PrinterResolution(int crossFeedResolution, int feedResolution, int units)` Construct a new printer resolution attribute from the given items.

### Method Summary

Methods
`boolean` `equals(Object object)` Returns whether this printer resolution attribute is equivalent to the passed in object.
`Class<? extends Attribute>` `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`String` `getName()` Get the name of the category of which this attribute value is an instance.

### Methods inherited from class javax.print.attribute.ResolutionSyntax

`getCrossFeedResolution, getCrossFeedResolutionDphi, getFeedResolution, getFeedResolutionDphi, getResolution, hashCode, lessThanOrEquals, toString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrinterResolution

    public PrinterResolution(int crossFeedResolution,
                     int feedResolution,
                     int units)

Construct a new printer resolution attribute from the given items.

Parameters:
  `crossFeedResolution` - Cross feed direction resolution.
  `feedResolution` - Feed direction resolution.
  `units` - Unit conversion factor, e.g. `ResolutionSyntax.DPI` or `ResolutionSyntax.>DPCM`.
Throws:
  `IllegalArgumentException` - (unchecked exception) Thrown if `crossFeedResolution` < 1 or `feedResolution` < 1 or `units` < 1.

### Method Detail

#### equals

    public boolean equals(Object object)

Returns whether this printer resolution attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:

1. `object` is not null.
2. `object` is an instance of class PrinterResolution.
3. This attribute's cross feed direction resolution is equal to `object`'s cross feed direction resolution.
4. This attribute's feed direction resolution is equal to `object`'s feed direction resolution.

Overrides:
  `equals` in class `ResolutionSyntax`
Parameters:
  `object` - Object to compare to.
Returns:
  True if `object` is equivalent to this printer resolution attribute, false otherwise.
See Also:
  `Object.hashCode()`, `Hashtable`

#### getCategory

    public final Class<? extends Attribute> getCategory()

Get the printing attribute class which is to be used as the "category" for this printing attribute value.

For class PrinterResolution, the category is class PrinterResolution itself.

Specified by:
  `getCategory` in interface `Attribute`
Returns:
  Printing attribute class (category), an instance of class `java.lang.Class`.

#### getName

    public final String getName()

Get the name of the category of which this attribute value is an instance.

For class PrinterResolution, the category name is `"printer-resolution"`.

Specified by:
  `getName` in interface `Attribute`
Returns:
  Attribute category name.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.